## sdrangelove 0.0.1.20140824

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.9)
list(APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/Modules)

project(sdrangelove)

set(CMAKE_BUILD_TYPE "Release")
#set(CMAKE_BUILD_TYPE "ReleaseWithDebugInfo")
#set(CMAKE_BUILD_TYPE "Debug")

set(QT_USE_QTOPENGL TRUE)
set(CMAKE_AUTOMOC ON)

#find_package(Qt4 REQUIRED)
find_package(Qt5Core 5.0 REQUIRED)
find_package(Qt5Widgets 5.0 REQUIRED)
find_package(Qt5Multimedia 5.0 REQUIRED)
#find_package(QT5OpenGL 5.0 REQUIRED)
find_package(OpenGL REQUIRED)
find_package(PkgConfig)

find_package(FFTW3F)
find_package(FFTS)

##############################################################################

#include(${QT_USE_FILE})
add_definitions(${QT_DEFINITIONS})

if(MSVC)
	foreach(OUTPUTCONFIG ${CMAKE_CONFIGURATION_TYPES})
		string(TOUPPER ${OUTPUTCONFIG} OUTPUTCONFIG)
		set(CMAKE_RUNTIME_OUTPUT_DIRECTORY_${OUTPUTCONFIG} ${CMAKE_BINARY_DIR}/bin_${OUTPUTCONFIG})
		set(CMAKE_LIBRARY_OUTPUT_DIRECTORY_${OUTPUTCONFIG} ${CMAKE_BINARY_DIR}/bin_${OUTPUTCONFIG})
		set(CMAKE_ARCHIVE_OUTPUT_DIRECTORY_${OUTPUTCONFIG} ${CMAKE_BINARY_DIR}/bin_${OUTPUTCONFIG})
	endforeach(OUTPUTCONFIG CMAKE_CONFIGURATION_TYPES)
endif()

##############################################################################

set(sdrbase_SOURCES
	sdrbase/mainwindow.cpp

	sdrbase/audio/audiofifo.cpp
	sdrbase/audio/audiooutput.cpp

	sdrbase/dsp/channelizer.cpp
	sdrbase/dsp/channelmarker.cpp
	sdrbase/dsp/dspcommands.cpp
	sdrbase/dsp/dspengine.cpp
	sdrbase/dsp/fftengine.cpp
	sdrbase/dsp/fftwindow.cpp
	sdrbase/dsp/interpolator.cpp
	sdrbase/dsp/inthalfbandfilter.cpp
	sdrbase/dsp/lowpass.cpp
	sdrbase/dsp/movingaverage.cpp
	sdrbase/dsp/nco.cpp
	sdrbase/dsp/pidcontroller.cpp
	sdrbase/dsp/samplefifo.cpp
	sdrbase/dsp/samplesink.cpp
	sdrbase/dsp/scopevis.cpp
	sdrbase/dsp/spectrumvis.cpp
	sdrbase/dsp/threadedsamplesink.cpp

	sdrbase/gui/aboutdialog.cpp
	sdrbase/gui/addpresetdialog.cpp
	sdrbase/gui/basicchannelsettingswidget.cpp
	sdrbase/gui/buttonswitch.cpp
	sdrbase/gui/channelwindow.cpp
	sdrbase/gui/glscope.cpp
	sdrbase/gui/glspectrum.cpp
	sdrbase/gui/glspectrumgui.cpp
	sdrbase/gui/indicator.cpp
	sdrbase/gui/pluginsdialog.cpp
	sdrbase/gui/preferencesdialog.cpp
	sdrbase/gui/presetitem.cpp
	sdrbase/gui/rollupwidget.cpp
	sdrbase/gui/scale.cpp
	sdrbase/gui/scaleengine.cpp
	sdrbase/gui/scopewindow.cpp
	sdrbase/gui/valuedial.cpp

	sdrbase/dsp/samplesource/samplesource.cpp

	sdrbase/plugin/pluginapi.cpp
	sdrbase/plugin/plugingui.cpp
	sdrbase/plugin/plugininterface.cpp
	sdrbase/plugin/pluginmanager.cpp

	sdrbase/settings/preferences.cpp
	sdrbase/settings/preset.cpp
	sdrbase/settings/settings.cpp

	sdrbase/util/message.cpp
	sdrbase/util/messagequeue.cpp
	sdrbase/util/miniz.cpp
	sdrbase/util/simpleserializer.cpp
	sdrbase/util/spinlock.cpp
)

set(sdrbase_HEADERS
	include-gpl/mainwindow.h

	include-gpl/audio/audiofifo.h
	include-gpl/audio/audiooutput.h

	include-gpl/dsp/channelizer.h
	include/dsp/channelmarker.h
	include-gpl/dsp/dspcommands.h
	include-gpl/dsp/dspengine.h
	include/dsp/dsptypes.h
	include-gpl/dsp/fftengine.h
	include-gpl/dsp/fftwengine.h
	include-gpl/dsp/fftwindow.h
	include-gpl/dsp/interpolator.h
	include-gpl/dsp/inthalfbandfilter.h
	include/dsp/kissfft.h
	include-gpl/dsp/kissengine.h
	include-gpl/dsp/lowpass.h
	include-gpl/dsp/movingaverage.h
	include-gpl/dsp/nco.h
	include-gpl/dsp/pidcontroller.h
	include/dsp/samplefifo.h
	include/dsp/samplesink.h
	include-gpl/dsp/scopevis.h
	include-gpl/dsp/spectrumvis.h
	include/dsp/threadedsamplesink.h

	include-gpl/gui/aboutdialog.h
	include-gpl/gui/addpresetdialog.h
	include/gui/basicchannelsettingswidget.h
	include-gpl/gui/buttonswitch.h
	include-gpl/gui/channelwindow.h
	include-gpl/gui/glscope.h
	include-gpl/gui/glspectrum.h
	include-gpl/gui/glspectrumgui.h
	include-gpl/gui/indicator.h
	include-gpl/gui/physicalunit.h
	include-gpl/gui/pluginsdialog.h
	include-gpl/gui/preferencesdialog.h
	include-gpl/gui/presetitem.h
	include/gui/rollupwidget.h
	include-gpl/gui/scale.h
	include-gpl/gui/scaleengine.h
	include-gpl/gui/scopewindow.h
	include-gpl/gui/valuedial.h

	include/dsp/samplesource/samplesource.h

	include/plugin/pluginapi.h
	include/plugin/plugingui.h
	include/plugin/plugininterface.h
	include-gpl/plugin/pluginmanager.h

	include-gpl/settings/preferences.h
	include-gpl/settings/preset.h
	include-gpl/settings/settings.h

	include/util/export.h
	include/util/message.h
	include/util/messagequeue.h
	include/util/miniz.h
	include/util/simpleserializer.h
	include/util/spinlock.h
)

set(sdrbase_SOURCES
	${sdrbase_SOURCES}
	${sdrbase_HEADERS}
)

set(sdrbase_FORMS
	sdrbase/mainwindow.ui

	sdrbase/gui/aboutdialog.ui
	sdrbase/gui/addpresetdialog.ui
	sdrbase/gui/basicchannelsettingswidget.ui
	sdrbase/gui/glspectrumgui.ui
	sdrbase/gui/pluginsdialog.ui
	sdrbase/gui/preferencesdialog.ui
	sdrbase/gui/scopewindow.ui
)

set(sdrbase_RESOURCES
	sdrbase/resources/res.qrc
)

if(LIBFFTS_FOUND)
	set(sdrbase_SOURCES
		${sdrbase_SOURCES}
		sdrbase/dsp/fftsengine.cpp
	)
	set(sdrbase_HEADERS
		${sdrbase_HEADERS}
		include-gpl/dsp/fftsengine.h
	)
	add_definitions(-DUSE_FFTS)
	include_directories(${LIBFFTS_INCLUDE_DIR})
else(LIBFFTS_FOUND)
	if(FFTW3F_FOUND)
		set(sdrbase_SOURCES
			${sdrbase_SOURCES}
			sdrbase/dsp/fftwengine.cpp
		)
		set(sdrbase_HEADERS
			${sdrbase_HEADERS}
			include-gpl/dsp/fftwengine.h
		)
		add_definitions(-DUSE_FFTW)
		include_directories(${FFTW3F_INCLUDE_DIRS})
	else(FFTW3F_FOUND)
		set(sdrbase_SOURCES
			${sdrbase_SOURCES}
			sdrbase/dsp/kissengine.cpp
			include/dsp/kissfft.h
		)
		set(sdrbase_HEADERS
			${sdrbase_HEADERS}
			include-gpl/dsp/kissengine.h
		)
		add_definitions(-DUSE_KISSFFT)
	endif(FFTW3F_FOUND)
endif(LIBFFTS_FOUND)

#include(${QT_USE_FILE})
add_definitions(${QT_DEFINITIONS})

#qt5_wrap_cpp(sdrbase_HEADERS_MOC ${sdrbase_HEADERS})
qt5_wrap_ui(sdrbase_FORMS_HEADERS ${sdrbase_FORMS})
qt5_add_resources(sdrbase_RESOURCES_RCC ${sdrbase_RESOURCES})

if(WIN32)
	SET(sdrbase_SOURCES ${sdrbase_SOURCES} sdrbase/resources/sdrangelove.rc)
endif(WIN32)

add_library(sdrbase SHARED
	${sdrbase_SOURCES}
	${sdrbase_HEADERS_MOC}
	${sdrbase_FORMS_HEADERS}
	${sdrbase_RESOURCES_RCC}
)

target_link_libraries(sdrbase
	${QT_LIBRARIES}
	${OPENGL_LIBRARIES}
	${LIBUSB_LIBRARIES}
)

if(LIBFFTS_FOUND)
	target_link_libraries(sdrbase ${LIBFFTS_LIBRARIES})
else(LIBFFTS_FOUND)
	if(FFTW3F_FOUND)
		target_link_libraries(sdrbase ${FFTW3F_LIBRARIES})
	endif(FFTW3F_FOUND)
endif(LIBFFTS_FOUND)

set_target_properties(sdrbase PROPERTIES DEFINE_SYMBOL "sdrangelove_EXPORTS")

qt5_use_modules(sdrbase Core Widgets OpenGL Multimedia)

include_directories(
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_SOURCE_DIR}/include
	${CMAKE_SOURCE_DIR}/include-gpl
	${OPENGL_INCLUDE_DIR}
)

if(MSVC)
	set( CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} /arch:SSE2" )
	set( CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /Oi /GL /Ot /Ox /arch:SSE2" )
	set( CMAKE_EXE_LINKER_FLAGS_RELEASE "${CMAKE_EXE_LINKER_FLAGS_RELEASE} /LTCG" )
	add_definitions (/D "_CRT_SECURE_NO_WARNINGS")
else()
set( CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -msse2" )
set( CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -msse2" )
endif()

##############################################################################

set(sdrangelove_SOURCES
	main.cpp
)

if(WIN32)
	SET(sdrangelove_SOURCES ${sdrangelove_SOURCES} sdrbase/resources/sdrangelove.rc)
endif(WIN32)

add_executable(sdrangelove
	${sdrangelove_SOURCES}
)

target_link_libraries(sdrangelove
	sdrbase
	${QT_LIBRARIES}
	${OPENGL_LIBRARIES}
)

if(WIN32)
	set_target_properties(sdrangelove PROPERTIES LINK_FLAGS_DEBUG "/SUBSYSTEM:CONSOLE")
	set_target_properties(sdrangelove PROPERTIES COMPILE_DEFINITIONS_DEBUG "_CONSOLE")
	set_target_properties(sdrangelove PROPERTIES LINK_FLAGS_RELWITHDEBINFO "/SUBSYSTEM:CONSOLE")
	set_target_properties(sdrangelove PROPERTIES COMPILE_DEFINITIONS_RELWITHDEBINFO "_CONSOLE")
	set_target_properties(sdrangelove PROPERTIES LINK_FLAGS_RELEASE "/SUBSYSTEM:windows /ENTRY:mainCRTStartup")
	set_target_properties(sdrangelove PROPERTIES LINK_FLAGS_MINSIZEREL "/SUBSYSTEM:windows /ENTRY:mainCRTStartup")
endif(WIN32)

qt5_use_modules(sdrangelove Widgets Multimedia)

##############################################################################

add_subdirectory(plugins)

=== debian/changelog ===
sdrangelove (0.0.1.20140824-1build1) vivid; urgency=medium

  * Rebuild against gnuradio 3.7.5.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 03 Nov 2014 12:54:30 +0000

sdrangelove (0.0.1.20140824-1) unstable; urgency=low

  * Include August 2014 rewrites, audio samplerate config changes
  * fix Qt plugin packaging (Closes: #761296)

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 12 Sep 2014 19:23:24 -0400

sdrangelove (0.0.1.20131224-1) unstable; urgency=low

  * Initial package (Closes: #737685)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 04 Feb 2014 21:09:52 -0500

=== debian/control ===
Source: sdrangelove
Section: science
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: debhelper (>= 9.0.0~), cmake, pkg-config, qt5-default, qtbase5-dev,
 libqt5opengl5-dev, qtmultimedia5-dev, gnuradio (>= 3.7), gnuradio-dev (>= 3.7),
 gr-osmosdr, libfftw3-dev, libosmosdr-dev, librtlsdr-dev,
 libboost-dev, libboost-system-dev, liblog4cpp5-dev,
 libusb-1.0-0-dev [linux-any], libusb2-dev [kfreebsd-any]
Standards-Version: 3.9.5
Homepage: http://sdrangelove.org/
Vcs-Git: git://git.osmocom.org/sdrangelove/
Vcs-Browser: http://cgit.osmocom.org/sdrangelove/

Package: sdrangelove
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: gnuradio, gr-osmosdr
Suggests: libqt5multimedia5-plugins, pulseaudio
Description: Osmocom Software Defined Radio
 A Qt5 software-defined radio receiver application.

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH
DEB_DEBIAN_DIR=$(dir $(firstword $(MAKEFILE_LIST)))
VER=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
              | sed -rne 's,^Version: ([^-]+).*,\1,p')
GITREV=$(shell echo $(VER) | sed -rne 's,[0-9]+\.[0-9]+\.[0-9]+\.([0-9]+),\1,p')

%:
	dh $@ --buildsystem=cmake

override_dh_install:
	dh_install
	cp debian/sdrangelove-wrapper debian/sdrangelove/usr/bin/sdrangelove

version-to-get:
	echo $(VER) is $(GITREV)

get-orig-source: version-to-get
	git clone git://git.osmocom.org/gr-osmosdr
	cd gr-osmosdr && git archive --format=tar --prefix=gr-osmosdr-$(VER)/  $(GITREV) | gzip > ../gr-osmosdr_$(VER).orig.tar.gz
	rm -rf gr-osmosdr

## sdrangelove 0.0.1.20150707

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,11 @@
 
 find_package(FFTW3F)
 find_package(FFTS)
+
+
+IF(CMAKE_SYSTEM_PROCESSOR MATCHES "x86_64|AMD64|x86")
+ SET(USE_SIMD "SSE2" CACHE STRING "Use SIMD instructions")
+ENDIF()
 
 ##############################################################################
 
@@ -264,14 +269,18 @@
 	${OPENGL_INCLUDE_DIR}
 )
 
-if(MSVC)
-	set( CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} /arch:SSE2" )
-	set( CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /Oi /GL /Ot /Ox /arch:SSE2" )
-	set( CMAKE_EXE_LINKER_FLAGS_RELEASE "${CMAKE_EXE_LINKER_FLAGS_RELEASE} /LTCG" )
-	add_definitions (/D "_CRT_SECURE_NO_WARNINGS")
-else()
-set( CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -msse2" )
-set( CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -msse2" )
+if(USE_SIMD MATCHES SSE2)
+	if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_COMPILER_IS_CLANGXX)
+		set( CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -msse2" )
+		set( CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -msse2" )
+		add_definitions(-DUSE_SIMD)
+	elseif(MSVC)
+		set( CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} /arch:SSE2" )
+		set( CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /Oi /GL /Ot /Ox /arch:SSE2" )
+		set( CMAKE_EXE_LINKER_FLAGS_RELEASE "${CMAKE_EXE_LINKER_FLAGS_RELEASE} /LTCG" )
+		add_definitions (/D "_CRT_SECURE_NO_WARNINGS")
+		add_definitions(-DUSE_SIMD)
+	endif()
 endif()
 
 ##############################################################################

=== plugins/CMakeLists.txt ===
project(plugins)

add_subdirectory(channel)
add_subdirectory(samplesource)

=== plugins/samplesource/CMakeLists.txt ===
project(samplesource)

find_package(LibUSB)
find_package(LibOsmoSDR)
find_package(LibRTLSDR)

add_subdirectory(gnuradio)

if(LIBUSB_FOUND AND LIBOSMOSDR_FOUND)
	add_subdirectory(osmosdr)
endif(LIBUSB_FOUND AND LIBOSMOSDR_FOUND)

if(LIBUSB_FOUND AND LIBRTLSDR_FOUND)
	add_subdirectory(rtlsdr)
endif(LIBUSB_FOUND AND LIBRTLSDR_FOUND)

=== plugins/channel/nfm/CMakeLists.txt ===
project(nfm)

set(nfm_SOURCES
	nfmdemod.cpp
	nfmdemodgui.cpp
	nfmplugin.cpp
)

set(nfm_HEADERS
	nfmdemod.h
	nfmdemodgui.h
	nfmplugin.h
)

set(nfm_FORMS
	nfmdemodgui.ui
)

include_directories(
	.
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_SOURCE_DIR}/include
	${CMAKE_SOURCE_DIR}/include-gpl
	${OPENGL_INCLUDE_DIR}
)

#include(${QT_USE_FILE})
add_definitions(${QT_DEFINITIONS})
add_definitions(-DQT_PLUGIN)
add_definitions(-DQT_SHARED)

#qt5_wrap_cpp(nfm_HEADERS_MOC ${nfm_HEADERS})
qt5_wrap_ui(nfm_FORMS_HEADERS ${nfm_FORMS})

add_library(demodnfm SHARED
	${nfm_SOURCES}
	${nfm_HEADERS_MOC}
	${nfm_FORMS_HEADERS}
)

target_link_libraries(demodnfm
	${QT_LIBRARIES}
	${OPENGL_LIBRARIES}
	sdrbase
)

qt5_use_modules(demodnfm Core Widgets OpenGL Multimedia)

=== plugins/channel/tcpsrc/CMakeLists.txt ===
project(tcpsrc)

set(tcpsrc_SOURCES
	tcpsrc.cpp
	tcpsrcgui.cpp
	tcpsrcplugin.cpp
)

set(tcpsrc_HEADERS
	tcpsrc.h
	tcpsrcgui.h
	tcpsrcplugin.h
)

set(tcpsrc_FORMS
	tcpsrcgui.ui
)

include_directories(
	.
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_SOURCE_DIR}/include
	${CMAKE_SOURCE_DIR}/include-gpl
	${OPENGL_INCLUDE_DIR}
)

#include(${QT_USE_FILE})
add_definitions(${QT_DEFINITIONS})
add_definitions(-DQT_PLUGIN)
add_definitions(-DQT_SHARED)

#qt5_wrap_cpp(tcpsrc_HEADERS_MOC ${tcpsrc_HEADERS})
qt5_wrap_ui(tcpsrc_FORMS_HEADERS ${tcpsrc_FORMS})

add_library(demodtcpsrc SHARED
	${tcpsrc_SOURCES}
	${tcpsrc_HEADERS_MOC}
	${tcpsrc_FORMS_HEADERS}
)

target_link_libraries(demodtcpsrc
	${QT_LIBRARIES}
	${OPENGL_LIBRARIES}
	sdrbase
)

qt5_use_modules(demodtcpsrc Core Widgets OpenGL Network)

=== plugins/samplesource/gnuradio/CMakeLists.txt ===
project(gnuradio)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/Modules)

find_package(GnuradioRuntime)
find_package(GnuradioOsmosdr)

if(UNIX AND NOT BOOST_ROOT AND EXISTS "/usr/lib64")
    list(APPEND BOOST_LIBRARYDIR "/usr/lib64") #fedora 64-bit fix
endif(UNIX AND NOT BOOST_ROOT AND EXISTS "/usr/lib64")

find_package(Boost COMPONENTS system)

if(NOT GNURADIO_RUNTIME_FOUND AND GNURADIO_OSMOSDR_FOUND)

    message(STATUS "GNU Radio not found, assuming built-in gr-osmosdr runtime.")

    set(GNURADIO_RUNTIME_FOUND TRUE)
    set(GNURADIO_RUNTIME_INCLUDE_DIRS "")
    set(GNURADIO_RUNTIME_LIBRARIES "")

    FOREACH(inc ${GNURADIO_OSMOSDR_INCLUDE_DIRS})
        LIST(APPEND GNURADIO_RUNTIME_INCLUDE_DIRS "${inc}/osmosdr/runtime")
    ENDFOREACH(inc)

    LIST(APPEND GNURADIO_RUNTIME_LIBRARIES ${GNURADIO_OSMOSDR_LIBRARIES})

endif(NOT GNURADIO_RUNTIME_FOUND AND GNURADIO_OSMOSDR_FOUND)

if(Boost_FOUND AND GNURADIO_RUNTIME_FOUND AND GNURADIO_OSMOSDR_FOUND)

set(gnuradio_SOURCES
	gnuradiogui.cpp
	gnuradioinput.cpp
	gnuradioplugin.cpp
	gnuradiothread.cpp
)

set(gnuradio_HEADERS
	gnuradiogui.h
	gnuradioinput.h
	gnuradioplugin.h
	gnuradiothread.h
)

set(gnuradio_FORMS
	gnuradiogui.ui
)

include_directories(
        ${CMAKE_CURRENT_SOURCE_DIR}
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_SOURCE_DIR}/include
	${CMAKE_SOURCE_DIR}/include-gpl
	${Boost_INCLUDE_DIRS}
	${GNURADIO_RUNTIME_INCLUDE_DIRS}
	${GNURADIO_OSMOSDR_INCLUDE_DIRS}
)

add_definitions(${QT_DEFINITIONS})
add_definitions(-DQT_PLUGIN)
add_definitions(-DQT_SHARED)
add_definitions(-DBOOST_ALL_NO_LIB)

if(MSVC)
add_definitions(-DNOMINMAX)
endif()

qt5_wrap_ui(gnuradio_FORMS_HEADERS ${gnuradio_FORMS})

add_library(inputgnuradio SHARED
	${gnuradio_SOURCES}
	${gnuradio_HEADERS_MOC}
	${gnuradio_FORMS_HEADERS}
)

target_link_libraries(inputgnuradio
	${QT_LIBRARIES}
	${Boost_LIBRARIES}
	${GNURADIO_RUNTIME_LIBRARIES}
	${GNURADIO_OSMOSDR_LIBRARIES}
	sdrbase
)

qt5_use_modules(inputgnuradio Core Widgets OpenGL Multimedia)

endif(Boost_FOUND AND GNURADIO_RUNTIME_FOUND AND GNURADIO_OSMOSDR_FOUND)

=== plugins/samplesource/osmosdr/CMakeLists.txt ===
project(osmosdr)

set(osmosdr_SOURCES
	osmosdrgui.cpp
	osmosdrinput.cpp
	osmosdrplugin.cpp
	osmosdrthread.cpp
)

set(osmosdr_HEADERS
	osmosdrgui.h
	osmosdrinput.h
	osmosdrplugin.h
	osmosdrthread.h
)

set(osmosdr_FORMS
	osmosdrgui.ui
)

include_directories(
	.
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_SOURCE_DIR}/include
	${CMAKE_SOURCE_DIR}/include-gpl
	${LIBOSMOSDR_INCLUDE_DIR}
)

#include(${QT_USE_FILE})
add_definitions(${QT_DEFINITIONS})
add_definitions(-DQT_PLUGIN)
add_definitions(-DQT_SHARED)

if(MSVC)
add_definitions(-DNOMINMAX)
endif()

#qt4_wrap_cpp(osmosdr_HEADERS_MOC ${osmosdr_HEADERS})
qt5_wrap_ui(osmosdr_FORMS_HEADERS ${osmosdr_FORMS})

add_library(inputosmosdr SHARED
	${osmosdr_SOURCES}
	${osmosdr_HEADERS_MOC}
	${osmosdr_FORMS_HEADERS}
)

target_link_libraries(inputosmosdr
	${QT_LIBRARIES}
	${LIBOSMOSDR_LIBRARIES}
	${LIBUSB_LIBRARIES}
	sdrbase
)

qt5_use_modules(inputosmosdr Core Widgets OpenGL Multimedia)

=== plugins/samplesource/rtlsdr/CMakeLists.txt ===
project(rtlsdr)

set(rtlsdr_SOURCES
	rtlsdrgui.cpp
	rtlsdrinput.cpp
	rtlsdrplugin.cpp
	rtlsdrthread.cpp
)

set(rtlsdr_HEADERS
	rtlsdrgui.h
	rtlsdrinput.h
	rtlsdrplugin.h
	rtlsdrthread.h
)

set(rtlsdr_FORMS
	rtlsdrgui.ui
)

include_directories(
	.
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_SOURCE_DIR}/include
	${CMAKE_SOURCE_DIR}/include-gpl
	${LIBRTLSDR_INCLUDE_DIR}
)

#include(${QT_USE_FILE})
add_definitions(${QT_DEFINITIONS})
add_definitions(-DQT_PLUGIN)
add_definitions(-DQT_SHARED)

#qt4_wrap_cpp(rtlsdr_HEADERS_MOC ${rtlsdr_HEADERS})
qt5_wrap_ui(rtlsdr_FORMS_HEADERS ${rtlsdr_FORMS})

add_library(inputrtlsdr SHARED
	${rtlsdr_SOURCES}
	${rtlsdr_HEADERS_MOC}
	${rtlsdr_FORMS_HEADERS}
)

target_link_libraries(inputrtlsdr
	${QT_LIBRARIES}
	${LIBRTLSDR_LIBRARIES}
	${LIBUSB_LIBRARIES}
	sdrbase
)

qt5_use_modules(inputrtlsdr Core Widgets OpenGL Multimedia)

=== debian/changelog ===
sdrangelove (0.0.1.20150707-5) unstable; urgency=medium

  * Team upload

  [ tony mancill ]
  * Apply Debian Janitor changes listed in -4 changelog but
    missing from previous upload.

 -- tony mancill <tmancill@debian.org>  Tue, 17 Nov 2020 19:03:56 -0800

sdrangelove (0.0.1.20150707-4) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.5.0, no changes needed.

  [ tony mancill ]
  * Add patch to fix qt 5.15.1 failure due to missing include
    (Closes: #974858)

 -- tony mancill <tmancill@debian.org>  Mon, 16 Nov 2020 20:12:10 -0800

sdrangelove (0.0.1.20150707-3) unstable; urgency=medium

  * Build against gnuradio 3.8 (Closes: #941204)
  * Avoid OpenGL ES (Closes: #884315)
  * update compat, standards-version
  * anonscm -> salsa

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 27 Sep 2019 00:59:52 -0400

sdrangelove (0.0.1.20150707-2) unstable; urgency=medium

  * Use explicit cast rather than narrowing conversion (Closes: #811774)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 09 Jul 2016 18:34:43 -0400

sdrangelove (0.0.1.20150707-1) unstable; urgency=medium

  * New upstream, allow building without sse (Closes: #790855)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 13 Sep 2015 11:13:55 -0400

=== debian/control ===
Source: sdrangelove
Section: science
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 12),
               gnuradio-dev (>= 3.8),
               gr-osmosdr,
               libboost-dev,
               libboost-system-dev,
               libfftw3-dev,
	       libgmp-dev,
               liblog4cpp5-dev,
               libosmosdr-dev,
	       libqt5opengl5-desktop-dev,
               librtlsdr-dev,
               libusb-1.0-0-dev [linux-any],
               libusb2-dev [kfreebsd-any],
               pkg-config,
               qt5-qmake,
               qtbase5-dev,
               qtbase5-dev-tools,
               qtchooser,
               qtmultimedia5-dev
Standards-Version: 4.5.0
Homepage: http://sdrangelove.org/
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/pkg-sdrangelove
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/pkg-sdrangelove.git

Package: sdrangelove
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: gnuradio, gr-osmosdr
Suggests: libqt5multimedia5-plugins, pulseaudio
Description: Osmocom Software Defined Radio
 A Qt5 software-defined radio receiver application.

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,10 @@
 VER=$(shell dpkg-parsechangelog -l$(DEB_DEBIAN_DIR)/changelog \
               | sed -rne 's,^Version: ([^-]+).*,\1,p')
 GITREV=$(shell echo $(VER) | sed -rne 's,[0-9]+\.[0-9]+\.[0-9]+\.([0-9]+),\1,p')
+#CC=gcc-6
+#CXX=g++-6
+#export CC
+#export CXX
 
 %:
 	dh $@ --buildsystem=cmake
@@ -17,6 +21,6 @@
 	echo $(VER) is $(GITREV)
 
 get-orig-source: version-to-get
-	git clone git://git.osmocom.org/gr-osmosdr
-	cd gr-osmosdr && git archive --format=tar --prefix=gr-osmosdr-$(VER)/  $(GITREV) | gzip > ../gr-osmosdr_$(VER).orig.tar.gz
-	rm -rf gr-osmosdr
+	git clone git://git.osmocom.org/sdrangelove.git
+	cd gr-osmosdr &&  git archive --format=tar --prefix=sdrangelove-0.0.1.20150707/ 64a1d97 | xz > ../../sdrangelove_0.0.1.20150707.orig.tar.xz
+	rm -rf sdrangelove

## sdrangelove 0.0.1.20150707+rb2

=== plugins/channel/CMakeLists.txt ===
project(demod)

add_subdirectory(nfm)
add_subdirectory(tcpsrc)
#add_subdirectory(tetra)

=== plugins/channel/tetra/CMakeLists.txt ===
project(tetra)

set(tetra_SOURCES
	tetrademod.cpp
	tetrademodgui.cpp
	tetraplugin.cpp
)

set(tetra_HEADERS
	tetrademod.h
	tetrademodgui.h
	tetraplugin.h
)

set(tetra_FORMS
	tetrademodgui.ui
)

include_directories(
	.
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_SOURCE_DIR}/include
	${CMAKE_SOURCE_DIR}/include-gpl
	${OPENGL_INCLUDE_DIR}
)

#include(${QT_USE_FILE})
add_definitions(${QT_DEFINITIONS})
add_definitions(-DQT_PLUGIN)
add_definitions(-DQT_SHARED)

#qt5_wrap_cpp(tetra_HEADERS_MOC ${tetra_HEADERS})
qt5_wrap_ui(tetra_FORMS_HEADERS ${tetra_FORMS})

add_library(demodtetra SHARED
	${tetra_SOURCES}
	${tetra_HEADERS_MOC}
	${tetra_FORMS_HEADERS}
)

target_link_libraries(demodtetra
	${QT_LIBRARIES}
	${OPENGL_LIBRARIES}
	sdrbase
)

qt5_use_modules(demodtetra Core Widgets OpenGL Multimedia)

=== debian/changelog ===
sdrangelove (0.0.1.20150707+rb2-1+eagle) unstable; urgency=medium

  * update

 -- A. Maitland Bottoms <bottoms@debian.org>  Mon, 01 Feb 2021 16:14:22 +0800
